function totinc=plotsir(z,tf,I0,npatches,onset_thr,flag1)

global invasions

invasions=zeros(npatches,1);

invasions(1)=1;

r=z(1);
p=z(2);
a=z(3);
K=z(4);
q=z(5);

if onset_thr>K
    
    npatches=1;
    
else
    
    npatches2=numberSubepidemics(K,onset_thr,q);
    
    npatches2=max(npatches2,1);
    
    npatches=min(npatches,npatches2);
    
end


IC=zeros(npatches,1);

IC(1,1)=I0;

if npatches>1
    IC(2:end,1)=1;
end

[t,x]=ode23s(@modifiedLogisticGrowthPatch,tf,IC,[],r,p,a,K,npatches,onset_thr,q,flag1);

y=sum(x,2);


totinc=[y(1,1);diff(y(:,1))];

totinc(1)=totinc(1)-(npatches-1);
